package com.steerinfo.baseinfo.meterbasesystemmessage.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="null")
public class MeterBaseSystemMessage implements IBasePO<String> {
    /**
     * 系统消息编号(SYSTEM_MESSAGE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="系统消息编号",required=true)
    private String systemMessageNo;

    /**
     * 公告名称(SYSTEM_MESSAGE_NAME,VARCHAR,255)
     */
    @ApiModelProperty(value="公告名称",required=false)
    private String systemMessageName;

    /**
     * 公告内容(SYSTEM_MESSAGE_CONTENT,VARCHAR,1000)
     */
    @ApiModelProperty(value="公告内容",required=false)
    private String systemMessageContent;

    /**
     * 状态（1：有效；0：无效）(VAILD_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（1：有效；0：无效）",required=true)
    private String vaildFlag;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date deleteTime;

    /**
     * 是否已读（0:未读，1：已读）(IS_READ,VARCHAR,1)
     */
    @ApiModelProperty(value="是否已读（0:未读，1：已读）",required=false)
    private String isRead;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.systemMessageNo;
    }

    @Override
    public void setId(String systemMessageNo) {
        this.systemMessageNo = systemMessageNo == null ? null : systemMessageNo.trim();
    }

    public String getSystemMessageNo() {
        return systemMessageNo;
    }

    public void setSystemMessageNo(String systemMessageNo) {
        this.systemMessageNo = systemMessageNo == null ? null : systemMessageNo.trim();
    }

    public String getSystemMessageName() {
        return systemMessageName;
    }

    public void setSystemMessageName(String systemMessageName) {
        this.systemMessageName = systemMessageName == null ? null : systemMessageName.trim();
    }

    public String getSystemMessageContent() {
        return systemMessageContent;
    }

    public void setSystemMessageContent(String systemMessageContent) {
        this.systemMessageContent = systemMessageContent == null ? null : systemMessageContent.trim();
    }

    public String getVaildFlag() {
        return vaildFlag;
    }

    public void setVaildFlag(String vaildFlag) {
        this.vaildFlag = vaildFlag == null ? null : vaildFlag.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getIsRead() {
        return isRead;
    }

    public void setIsRead(String isRead) {
        this.isRead = isRead == null ? null : isRead.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", systemMessageNo=").append(systemMessageNo);
        sb.append(", systemMessageName=").append(systemMessageName);
        sb.append(", systemMessageContent=").append(systemMessageContent);
        sb.append(", vaildFlag=").append(vaildFlag);
        sb.append(", memo=").append(memo);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", isRead=").append(isRead);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}